"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var modal_dismiss_reasons_1 = require("./modal-dismiss-reasons");
var NgfModalBackdrop = (function () {
    function NgfModalBackdrop(_elRef) {
        this._elRef = _elRef;
        this.dismissEvent = new core_1.EventEmitter();
    }
    NgfModalBackdrop.prototype.backdropClick = function ($event) {
        if ($event.target != this._elRef.nativeElement) {
            return;
        }
        this.dismissEvent.emit(modal_dismiss_reasons_1.ModalDismissReasons.BACKDROP_CLICK);
    };
    return NgfModalBackdrop;
}());
NgfModalBackdrop.decorators = [
    { type: core_1.Component, args: [{
                selector: 'Ngf-modal-backdrop',
                template: '',
                host: {
                    'class': 'reveal-overlay',
                    'style': 'display: block;',
                    '(click)': 'backdropClick($event)',
                    '[@backdrop]': ''
                },
                animations: [
                    core_1.trigger('backdrop', [
                        core_1.transition('void => *', [
                            core_1.style({ opacity: 0 }),
                            core_1.animate(100, core_1.style({ opacity: 1 }))
                        ]),
                        core_1.transition('* => void', [
                            core_1.style({ opacity: 1 }),
                            core_1.animate(100, core_1.style({ opacity: 0 }))
                        ])
                    ])
                ]
            },] },
];
/** @nocollapse */
NgfModalBackdrop.ctorParameters = function () { return [
    { type: core_1.ElementRef, },
]; };
NgfModalBackdrop.propDecorators = {
    'dismissEvent': [{ type: core_1.Output, args: ['dismiss',] },],
};
exports.NgfModalBackdrop = NgfModalBackdrop;
//# sourceMappingURL=modal-backdrop.js.map