"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var modal_stack_1 = require("./modal-stack");
/**
 * A service to open modal windows. Creating a modal is straightforward: create a template and pass it as an argument to
 * the "open" method!
 */
var NgfModal = (function () {
    function NgfModal(_moduleCFR, _injector, _modalStack) {
        this._moduleCFR = _moduleCFR;
        this._injector = _injector;
        this._modalStack = _modalStack;
    }
    /**
     * Opens a new modal window with the specified content and using supplied options. Content can be provided
     * as a TemplateRef or a component type. If you pass a component type as content than instances of those
     * components can be injected with an instance of the NgfActiveModal class. You can use methods on the
     * NgfActiveModal class to close / dismiss modals from "inside" of a component.
     */
    NgfModal.prototype.open = function (content, options) {
        if (options === void 0) { options = {}; }
        return this._modalStack.open(this._moduleCFR, this._injector, content, options);
    };
    return NgfModal;
}());
NgfModal.decorators = [
    { type: core_1.Injectable },
];
/** @nocollapse */
NgfModal.ctorParameters = function () { return [
    { type: core_1.ComponentFactoryResolver, },
    { type: core_1.Injector, },
    { type: modal_stack_1.NgfModalStack, },
]; };
exports.NgfModal = NgfModal;
//# sourceMappingURL=modal.service.js.map